Bug 1930620 - the logLevel field in containerruntimeconfig can't be set to "trace"
Summary: the logLevel field in containerruntimeconfig can't be set to "trace"
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Node
Version: 4.7
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
: 4.8.0
Assignee: Qi Wang
QA Contact: MinLi
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-02-19 09:54 UTC by MinLi
Modified: 2021-07-27 22:47 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: MCO does not accept trace as a valid log level. Consequence: Crio supports trace log level but MCO cannot provide a method to enable trace level log. Fix: On the MCO side, trace as a valid value of logLevel field Result: Enable users to see a trace log level through the MCO configurations.
Clone Of:
Environment:
Last Closed: 2021-07-27 22:45:22 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift machine-config-operator pull 2429 0 None open Bug 1930620: support trace loglevel 2021-02-24 16:06:24 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 22:47:27 UTC

Description MinLi 2021-02-19 09:54:32 UTC
Description of problem:.
the logLevel field in containerruntimeconfig can't be set to "trace".
According to 4.6 doc, the logLevel field can be set to trace: https://docs.openshift.com/container-platform/4.6/post_installation_configuration/machine-configuration-tasks.html#create-a-containerruntimeconfig_post-install-machine-configuration-tasks


Version-Release number of selected component (if applicable):
4.7.0-0.nightly-2021-02-17-224627

How reproducible:
always

Steps to Reproduce:
1.oc label mcp worker custom-loglevel=trace

2.oc create -f containerRuntimeConfig_log_level.yaml
apiVersion: machineconfiguration.openshift.io/v1
kind: ContainerRuntimeConfig
metadata:
 name: set-loglevel
spec:
 machineConfigPoolSelector:
   matchLabels:
     custom-loglevel: trace
 containerRuntimeConfig:
   logLevel: trace

3.oc get ctrcfg set-loglevel -o yaml

Actual results:
3.show following error:
  
  - lastTransitionTime: "2021-02-19T08:56:28Z"
    message: 'Error: invalid LogLevel "trace", must be one of error, fatal, panic,
      warn, info, or debug'
    status: "False"
    type: Failure



Expected results:
3.the ctrcfg can accept "trace" as loglevel

Additional info:

Comment 2 MinLi 2021-03-02 02:50:26 UTC
verified on version : 4.8.0-0.nightly-2021-03-01-143026

Comment 5 errata-xmlrpc 2021-07-27 22:45:22 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.